import React, {Component} from 'react'

import Utils from '@/utils/utils.js'
import avatar from '@/assets/img/avatar.jpg'
import MainLogo from '@/assets/img/main-logo.png'
import './index.scss'

class Header extends Component {
  state = {
    userName: sessionStorage.getItem('CloudUserName'),
    avatar: Utils.getrealurl(sessionStorage.getItem('CloudAvatar')),
  }

  UNSAFE_componentWillMount() {}

  close = () => {
    window.close()
  }

  render () {

    return (
      <header className="interface-header-container">
        <div className="header-logo"><img src={MainLogo} alt=""/></div>
        <div className="title">接口调试</div>
        <div className="header-setting">
          <span className="close" onClick={this.close}>关闭</span>
          <img src={this.state.avatar || avatar} alt=""/>
          <span>
            <span className="username">{this.state.userName}</span>
          </span>
        </div>
      </header>
    )
  }
}

export default Header